#include <exec/types.h>
#include <exec/memory.h>
#include <functions.h>
#include <intuition/intuition.h>
#include <graphics/gfxbase.h>
#include <graphics/gfxmacros.h>
#include <devices/timer.h>
#include <libraries/dos.h>
#include <libraries/dosextens.h>
#include <workbench/startup.h>
#include "popmenu.h"
#include "smalliff.h"

typedef unsigned char  ubyte;
typedef unsigned int   uint;
typedef unsigned long  ulong;
typedef char           *ptr;
typedef char           *string;

#define true  1
#define false 0

#define SHOWCMD  1
#define CHECKCMD 2
#define NEWCMD   3   
#define HELPCMD  4
#define QUITCMD  5

/* log2 of # of bits that make up the side of a square piece */
#define DIFF_EASY     6
#define DIFF_NORMAL   5
#define DIFF_HARD     4

#define COPYRIGHT "IFF2PCS 1.0 (C)1987 Ali T. Ozer, 21-Nov-87, Freely Distributable"
#define PROGNAME  "IFF2PCS 1.0"

char *copyright = COPYRIGHT;
